Subject: Re: bug#57009: Obscure doc string of new variable syntax-wholeline-max

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Aug 2022 14:46:25 +0200

Alan Mackenzie <[email-masked]> writes:

> Say the chunk is 64 characters long.  Doesn't parse-partial-sexp process
> that "as a chunk" anyway?  How does one determine where a "chunk" starts
> and where it ends?  What does "treating a line as a chunk" do that is new
> that we didn't do before?

I interpret that as saying that the line is split into chunks (of the
length the variable says) and processed one after the other.

> It is anything but self-evident.  It might be by setting the variable to
> 0, it might be by setting it to nil, it might be, as you suggest by
> setting it to a larger size than you think will occur in practice (i.e.
> there's no way to disable it).  All these ways are in use in Emacs.

Yes, that's true.